Debian 9 Stretch nie działające pppoe.

Masz problemy z siecią bądź internetem? Zapytaj tu
Awatar użytkownika
syngromu88
Posty: 79
Rejestracja: 07 marca 2015, 10:02
Lokalizacja: Nowy Sącz

Debian 9 Stretch nie działające pppoe.

Post autor: syngromu88 » 20 czerwca 2017, 21:03

Witam!
Mam świeżą instalkę ośmiornicy, niestety nie mogę się połączyć z internetem.
Na jednym z forum znalazłem opis i paczkę bibliotek:

Kod: Zaznacz cały

pppoe, ppp, pppoeconf , libcap0.8, modconf
W Jessi ten spoób działał, niestety w Stretch już chyba nie.
O ile 4 pierwsze podane przeze mnie pakiety się zainstalowały, to modconf już nie.
Gdy próbuję go zainstalować to wymagane są zależności:

Kod: Zaznacz cały

module-init-tools
modutils
Nie wiem co to za pakiety, ale nie mogę ich znaleźć szukając na serwerach lustrzanych.
modconf wydaje się być niezbędny, bo uruchamiam pppoeconf i wpisuję dane, ale połączenie nie działa.
Proszę o pomoc.
Ostatnio zmieniony 22 czerwca 2017, 20:28 przez syngromu88, łącznie zmieniany 1 raz.

Awatar użytkownika
Yampress
Administrator
Posty: 5940
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Debian 9 Stretch nie działające pppoe.

Post autor: Yampress » 20 czerwca 2017, 21:21

https://packages.qa.debian.org/m/modconf.html
Trzeba by było pociągnąć źródełka i sobie skompilować

Jest też taki wpis
https://wiki.debian.org/PPPoE

Jest też taki pakiet
https://packages.debian.org/stretch/pppoeconf

A jak i co instalowałeś?

https://blog.confirm.ch/using-pppoe-on-linux/

Awatar użytkownika
syngromu88
Posty: 79
Rejestracja: 07 marca 2015, 10:02
Lokalizacja: Nowy Sącz

Re: Debian 9 Stretch nie działające pppoe.

Post autor: syngromu88 » 20 czerwca 2017, 22:01

Zainstalowane mam:

Kod: Zaznacz cały

pppoe, ppp, pppoeconf , libcap0.8
Odpaliłem z płyty Kali i pobrałem je z serwera lustrzanego i zainstalowałem.
Z tego co pamiętam połączenie pppoe nie tworzyło mi z eth0 tylko jakoś dziwnie nazywającym się portem... zaczynał się chyba na p3.. albo e3...

Awatar użytkownika
Yampress
Administrator
Posty: 5940
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Debian 9 Stretch nie działające pppoe.

Post autor: Yampress » 20 czerwca 2017, 22:44

Teraz już nie nazywa się to eth0 -> eth1 itp
tylko coś w rodzaju tego
enp2s0
Nowe nazewnictwo wprowadził systemd
https://www.freedesktop.org/wiki/Softwa ... faceNames/

Awatar użytkownika
syngromu88
Posty: 79
Rejestracja: 07 marca 2015, 10:02
Lokalizacja: Nowy Sącz

Re: Debian 9 Stretch nie działające pppoe.

Post autor: syngromu88 » 21 czerwca 2017, 12:25

"eth0", "eth1", "wlan0" wiedziałem co znaczy.
Ale te nowe nazwy to masakra.

Jednak wracając do tematu to może lepiej spróbuję z modconf bo innego sensownego rozwiązania na chwilę obecną nie widzę.

Jak mam z https://packages.qa.debian.org/m/modconf.html ściągnąć źródełka?
Bo prawie wszystkie linki już są nieaktywne.

Awatar użytkownika
Yampress
Administrator
Posty: 5940
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Debian 9 Stretch nie działające pppoe. [Do usumięcia]

Post autor: Yampress » 23 czerwca 2017, 16:27

teoretycznie dodajesz repozytorium  żródłowe oldstable, ściągasz z niego źródełka, instalujesz zależności do zbudowania w systemie pakietu, i instalujesz kompilatory.
Próbujesz skompilować i stworzyć paczkę na aktualnym systemie.
To tak w teorii i tak po debianowemu (jak się buduje paczki). Teoria nie wiadomo czy się uda tak zrobić.
Może wyjść za dużo kombinowania i lepiej u żyć metody starolinuxowej.


A po "starolinuxowemu" ściągasz źródła, instalujesz środowisko do kompilacji, po czym próbujesz skompilować źródła. W tym czasie będą wyskakiwały zależności jakie potrzeba do zbudowania programu ze źródeł więc będziesz musiał je znaleźć i doinstalować w trakcie...

Metoda "starolinuxowa" to
./configure
make
make install


Awatar użytkownika
Yampress
Administrator
Posty: 5940
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Debian 9 Stretch nie działające pppoe. [Do usumięcia]

Post autor: Yampress » 23 czerwca 2017, 22:33

apt-get source the-package
apt-get build-dep the-package
(...)
fakeroot debian/rules binary
dpkg-buildpackage -us -uc
dpkg -i the-package-blabla.deb
https://wiki.debian.org/BuildingTutorial

ODPOWIEDZ